# Created by pyp2rpm-3.3.8
%global pypi_name RPi.GPIO
%global pypi_version 0.7.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A module to control Raspberry Pi GPIO channels

License:        MIT
URL:            http://sourceforge.net/projects/raspberry-gpio-python/
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  gcc

%description
This package provides a Python module to control the GPIO on a Raspberry
Pi.Note that this module is unsuitable for real-time or timing critical
applications. This is because you can not predict when Python will be busy
garbage collecting. It also runs under the Linux kernel which is not suitable
for real time applications - it is multitasking O/S and another process may be
given priority over...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This package provides a Python module to control the GPIO on a Raspberry
Pi.Note that this module is unsuitable for real-time or timing critical
applications. This is because you can not predict when Python will be busy
garbage collecting. It also runs under the Linux kernel which is not suitable
for real time applications - it is multitasking O/S and another process may be
given priority over...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.txt
%{python3_sitearch}/RPi
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Nov 03 2022 Luca Magrone <luca@magrone.cc> - 0.7.1-1
- Initial package.
